import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
import { message } from './message';

const csvUrl =
  'https://gist.githubusercontent.com/fouzanuddin/d0377d67e8f5f16de0389c10cd05ecdf/raw/97185019e7f6563b59bdd63801281e8b94fe628a/tiktok.csv';

const App = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl).then(setData);
  }, []);

  return <pre>{data ? message(data) : 'Loading...'}</pre>;
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
